Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration.jsse
Class TLSParameterBase

    java.lang.Object
      org.apache.cxf.configuration.jsse.TLSParameterBase

Direct Known Subclasses:
  TLSClientParameters, TLSServerParameters

    public class TLSParameterBase

extends java.lang.Object

This class is the base class for SSL/TLS parameters that are common to both client and server sides.

Constructor Summary
`TLSParameterBase()`

Method Summary
`java.util.List<java.lang.String>` | `getCipherSuites()` Returns the CipherSuites associated with this endpoint.
`FiltersType` | `getCipherSuitesFilter()` Returns the cipher suites filter
`java.lang.String` | `getJsseProvider()` Return the JSSE provider.
`javax.net.ssl.KeyManager[]` | `getKeyManagers()` Returns the key managers for the endpoint.
`java.security.SecureRandom` | `getSecureRandom()` Returns the secure random alogorithm.
`java.lang.String` | `getSecureSocketProtocol()` Returns the secure socket protocol in use.
`javax.net.ssl.TrustManager[]` | `getTrustManagers()` Returns the TrustManagers associated with the endpoint.
`void` | `setCipherSuites(java.util.List<java.lang.String> cs)` This parameter sets the cipher suites list to use.
`void` | `setCipherSuitesFilter(FiltersType filters)` This parameter sets the filter to include and/or exclude the cipher suites to use from the set list or system defaults.
`void` | `setJsseProvider(java.lang.String prov)` Set the JSSE provider.
`void` | `setKeyManagers(javax.net.ssl.KeyManager[] keyMgrs)` Sets the KeyManagers for this endpoint.
`void` | `setSecureRandom(java.security.SecureRandom random)` This sets the secure random provider and alogorithm.
`void` | `setSecureSocketProtocol(java.lang.String proto)` This sets the protocol to use.
`void` | `setTrustManagers(javax.net.ssl.TrustManager[] trustMgrs)` Sets the TrustManagers associated with this endpoint.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TLSParameterBase

    public TLSParameterBase()

Method Detail

### setJsseProvider

    public final void setJsseProvider(java.lang.String prov)

  Set the JSSE provider. If not set, it uses system default.

### getJsseProvider

    public java.lang.String getJsseProvider()

  Return the JSSE provider.

### setKeyManagers

    public final void setKeyManagers(javax.net.ssl.KeyManager[] keyMgrs)

  Sets the KeyManagers for this endpoint. This parameter may be set to null for system default behavior.

### getKeyManagers

    public javax.net.ssl.KeyManager[] getKeyManagers()

  Returns the key managers for the endpoint.

### setTrustManagers

    public final void setTrustManagers(javax.net.ssl.TrustManager[] trustMgrs)

  Sets the TrustManagers associated with this endpoint. This parameter may be set to null for system default behavior.

### getTrustManagers

    public javax.net.ssl.TrustManager[] getTrustManagers()

  Returns the TrustManagers associated with the endpoint.

### setCipherSuites

    public final void setCipherSuites(java.util.List<java.lang.String> cs)

  This parameter sets the cipher suites list to use. If left unset it uses system defaults.

### getCipherSuites

    public java.util.List<java.lang.String> getCipherSuites()

  Returns the CipherSuites associated with this endpoint.

### setCipherSuitesFilter

    public final void setCipherSuitesFilter(FiltersType filters)

  This parameter sets the filter to include and/or exclude the cipher suites to use from the set list or system defaults.

### getCipherSuitesFilter

    public FiltersType getCipherSuitesFilter()

  Returns the cipher suites filter

### setSecureRandom

    public final void setSecureRandom(java.security.SecureRandom random)

  This sets the secure random provider and alogorithm. If left unset or set to null, it uses the system default.

### getSecureRandom

    public java.security.SecureRandom getSecureRandom()

  Returns the secure random alogorithm.

### setSecureSocketProtocol

    public final void setSecureSocketProtocol(java.lang.String proto)

  This sets the protocol to use. The system default is usually "TLS".

### getSecureSocketProtocol

    public java.lang.String getSecureSocketProtocol()

  Returns the secure socket protocol in use.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF